function varargout=slice(self,u,P,varargin)
  % plot function u on plan defined by p(1)*x+p(2)*y+p(3)*z+p(4)=0
  assert(self.d==3 && self.dim==3)
  if length(u)==self.nqGlobal
    ul=u(self.toGlobal);
  elseif length(u)==self.nqParent
    ul=u(self.toParent);
  else
    whos
    assert(length(u)==self.nq);
    ul=u;
  end
  view(3)
  [U,G,J,BC] = fc_tools.graphics.gptoolbox.slice_tets2(self.q',self.me',P);
  if fc_tools.comp.isOctave()
    patch('Vertices',U,'Faces',G,'facevertexcdata',BC*ul,'Facecolor','interp','EdgeColor','none',varargin{:});
  else
    patch('Vertices',U,'Faces',G,'CData',BC*ul,'Facecolor','interp','EdgeColor','none',varargin{:});
  end
  if nargout==1, varargout{1}=s;end
end